Compute Management/Image Storage Related Interfaces/Image Related Interfaces
POSTImage Related InterfacesSince 0.6SynchronousAuth Required
Create Data Volume Template from Volume Snapshot
Create Data Volume Template from Volume Snapshot
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
snapshotUuidStringRequiredSnapshot UUID
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredData Volume Image name
descriptionStringDetailed description of the Data Volume Image
backupStorageUuidsListRequiredImage Storage UUID List
resourceUuidStringData Volume Image UUID. If specified, the Data Volume Image will use this field value as its UUID
tagUuidsListTag UUID List
systemTagsListSystem Tags
userTagsListUser Tags
Responses
Endpoint
POST/zstack/v1/images/data-volume-templates/from/volume-snapshots/{snapshotUuid}
/zstack/v1/images/data-volume-templates/from/volume-snapshots/{snapshotUuid}
Request Example
curl -X POST 'http://{host}/zstack/v1/images/data-volume-templates/from/volume-snapshots/{snapshotUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","backupStorageUuids":["<backupStorageUuids>"],"resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "314d80c2feb5352c984b3ffd36108c32", "name": "My Data Volume Template", "mediaType": "DataVolumeTemplate", "platform": "Linux", "format": "raw", "backupStorageRefs": [ { "id": 0.0, "imageUuid": "314d80c2feb5352c984b3ffd36108c32", "backupStorageUuid": "d861144baadf31e3b1cbbb282242adcf", "installPath": "ceph://zs-images/0cd599ec519249489475112a058bb93a", "status": "Ready" } ] } }Change History
This API has no change history records yet.
